-- |
-- Module      : ColorBindings
-- Description : Definition of colours for various objects.
-- Copyright   : (c) Yale University, 2003
--
-- Author: Henrik Nilsson
module ColorBindings where

-- Internal imports
import Colors

------------------------------------------------------------------------------
-- Landscape colors
------------------------------------------------------------------------------

distantMountainColor    :: Color
distantMountainColor    = MidnightBlue
closeMountainColor      :: Color
closeMountainColor      = Purple
groundColor             :: Color
groundColor             = Red


------------------------------------------------------------------------------
-- Object colour bindings
------------------------------------------------------------------------------

gunColor       :: Color
gunColor       = White

missileColor   :: Color
missileColor   = Yellow

alienColor     :: Color
alienColor     = LimeGreen
alienWingColor :: Color
alienWingColor = CornflowerBlue
alienDoorColor :: Color
alienDoorColor = Orange
